<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_9"
        android:layout_marginBottom="@dimen/dp_6"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:paddingLeft="@dimen/dp_19"
        android:paddingRight="@dimen/dp_19">

        <TextView
            style="@style/WareHouse_Title_TextStyle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/str_enter_scan_sn" />

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="@dimen/dp_31"
            android:layout_weight="1"
            android:background="@drawable/shape_edit_border_c8"
            android:orientation="horizontal">

            <EditText
                android:id="@+id/ed_input_sn"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_marginRight="@dimen/dp_4"
                android:layout_weight="1"
                android:background="@null"
                android:imeOptions="actionDone"
                android:gravity="center_vertical"
                android:hint="@string/str_please_input"
                android:inputType="number"
                android:paddingLeft="@dimen/dp_8"
                android:textColor="@color/theme_333_color"
                android:textColorHint="@color/color_b8"
                android:textSize="@dimen/dp_14" />

            <com.qmuiteam.qmui.alpha.QMUIAlphaImageButton
                android:id="@+id/iv_scan_sn"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_marginTop="@dimen/dp_4"
                android:layout_marginRight="@dimen/dp_10"
                android:layout_marginBottom="@dimen/dp_4"
                android:src="@drawable/ic_black_scan" />
        </LinearLayout>

        <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
            android:id="@+id/tv_submit_sn"
            android:layout_width="@dimen/dp_48"
            android:layout_height="@dimen/dp_29"
            android:layout_marginLeft="@dimen/dp_6"
            android:background="@drawable/shape_theme_five_corners_bg"
            android:gravity="center"
            android:text="@string/str_submit"
            android:textColor="@color/white"
            android:textSize="@dimen/dp_12" />
    </LinearLayout>

    <include layout="@layout/item_sn_code" />

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_sn_code"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager" />
        <View
            android:layout_width="match_parent"
            android:layout_height="match_parent" />
    </FrameLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_10"
        android:layout_marginBottom="@dimen/dp_10"
        android:orientation="horizontal">

        <com.qmuiteam.qmui.alpha.QMUIAlphaButton
            android:id="@+id/btn_confirm_sn"
            style="@style/Save_Btn_Style"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/dp_20"
            android:layout_weight="1"
            android:text="@string/str_determine"
            android:visibility="visible" />

        <com.qmuiteam.qmui.alpha.QMUIAlphaButton
            android:id="@+id/btn_cancel_sn"
            style="@style/Cancel_Btn_Style"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/dp_13"
            android:layout_marginRight="@dimen/dp_20"
            android:layout_weight="1"
            android:text="@string/str_cancel" />

    </LinearLayout>

</LinearLayout>